Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 120544 - About dialog too wide (or else image should be centered)
About dialog too wide (or else image should be centered)
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Window System
6.x
All All
: P3 (vote)
: 7.0.1
Assigned To: issues@platform
issues@platform
request_for_contribution
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-30 19:35 UTC by tomwheeler
Modified: 2011-04-28 16:26 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Help -> About Dialog Screenshot Illustrating Issue (31.13 KB, image/png)
2007-10-30 19:57 UTC, tomwheeler
Details
Patch which centers image both horizontally and vertically in Help:About dialog (11.29 KB, application/octet-stream)
2011-04-12 18:17 UTC, tomwheeler
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tomwheeler 2007-10-30 19:35:17 UTC
The dialog shown after clicking the Help->About menu displays the about.png image.  If this image is too large (more
than about 525 pixels wide by about 250 pixels high), than the image is simply cropped.  If the image is smaller (e.g.
333 x 250), then the image is not cropped but is left-aligned in the dialog box with extra whitespace to the right and
looks strange.  

I see two easy solutions: make the dialog size be based upon the size of the about.png image and/or center the image in
the dialog box.  This will improve the appearance when using smaller images.

For context, this seems related to http://www.netbeans.org/issues/show_bug.cgi?id=112932
Comment 1 tomwheeler 2007-10-30 19:57:46 UTC
Created attachment 52053 [details]
Help -> About Dialog Screenshot Illustrating Issue
Comment 2 David Simonek 2008-10-24 12:32:48 UTC
Valid, should be relative simple to implement. Anyone from community is interested in working on it?
Comment 3 tomwheeler 2011-04-12 18:17:42 UTC
Created attachment 107694 [details]
Patch which centers image both horizontally and vertically in Help:About dialog

I have developed a patch which fixes the problem I originally reported.  I verified that it centers the image (both horizontally and vertically) in the Help -> About dialog.   I did so using three images of various dimensions under MS Windows XP.   Although I was able to test only on MS Windows, I have no reason to suspect it wouldn't work on other platforms.
Comment 4 Stanislav Aubrecht 2011-04-13 10:01:13 UTC
core-main 5c59d9e8ccc4

thank you for the patch!
Comment 5 Quality Engineering 2011-04-22 05:06:36 UTC
Integrated into 'main-golden', will be available in build *201104220000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/5c59d9e8ccc4
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #120544 - centered image in About panel
Comment 6 tomwheeler 2011-04-28 16:26:27 UTC
Thanks for integrating it.  I verified it using the nightly build from 2011-04-26.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo